import { Base, Type } from "./type";
import { List$1 } from "./List$1";
import { CodeGenerationItemBuilderPropertyInfo } from "./CodeGenerationItemBuilderPropertyInfo";
import { CodeGenerationTargetPlatforms } from "./CodeGenerationTargetPlatforms";
import { CodeGenerationRendererOptions } from "./CodeGenerationRendererOptions";
import { CodeGeneratingImportManager } from "./CodeGeneratingImportManager";
/**
 * @hidden
 */
export declare class CodeGeneratingRendererResult extends Base {
    static $t: Type;
    private n;
    readonly q: List$1<CodeGenerationItemBuilderPropertyInfo>;
    private _platform;
    platform: CodeGenerationTargetPlatforms;
    private _generationOptions;
    generationOptions: CodeGenerationRendererOptions;
    private j;
    private l;
    private i;
    addContainerResult(a: string, b: string): void;
    addImportResult(a: string, b: CodeGeneratingImportManager): void;
    addContainerNewFileResult(a: string, b: string): void;
    getKeys(): string[];
    getImportsKeys(): string[];
    getContentForKey(a: string): string;
    o(a: string): List$1<CodeGeneratingImportManager>;
    private g;
    r(a: string): string;
    ab(a: CodeGenerationItemBuilderPropertyInfo): void;
    getNewFiles(): List$1<string>;
    getNewFileContent(a: string): string;
    private m;
    defineString(a: string, b: string): void;
    getStringNames(): string[];
    getString(a: string): string;
    private k;
    trackDescriptionField(a: string, b: string): void;
    hasDescription(a: string): boolean;
    getDescriptionField(a: string): string;
    private h;
    s(a: string): string;
}
